import { TemplateRef } from "@angular/core";
import { NzCascaderComponent } from "ng-zorro-antd/cascader";
import { NzSafeAny } from "ng-zorro-antd/core/types";
import * as i0 from "@angular/core";
export interface CascaderOption {
    value?: NzSafeAny;
    label?: string;
    title?: string;
    disabled?: boolean;
    loading?: boolean;
    isLeaf?: boolean;
    parent?: CascaderOption;
    children?: CascaderOption[];
    [key: string]: NzSafeAny;
}
export declare class CascaderComponent extends NzCascaderComponent {
    nzSuffixDownIcon: string | TemplateRef<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CascaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CascaderComponent, "eo-ng-cascader, [eo-ng-cascader]", never, { "nzSuffixDownIcon": "nzSuffixDownIcon"; }, {}, never, ["*"], false>;
}
